;; recursive approach; you can run this with "gcl < stars.lisp"
(defun print-stars (number)
  "Print a given number of stars, using recursion"
  (if (= number 0)
      (progn
        (write-char #\*)
        (terpri))
    (progn
      (write-char #\*)
      (print-stars (1- number)))))

(defun print-triangle (n-rows)
  (if (= n-rows 0)
      (print-stars n-rows)
    (progn
      (print-stars n-rows)
      (print-triangle (1- n-rows)))))

(print-triangle 5)
